let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_MARKETPLACE_URL}`;

export const getAssetThumbnail = async (assetId: string) => {
    try {
        const response = await fetch(
            `${url_Backend_dwinzo}/api/v2/getAssetThumbnail/${assetId}`,
            {
                method: "GET",
                headers: {
                    Authorization: "Bearer <access_token>",
                    "Content-Type": "application/json",
                    token: localStorage.getItem("token") || "",
                    refresh_token: localStorage.getItem("refreshToken") || "",
                },
            }
        );
        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            localStorage.setItem("token", newAccessToken);
        }

        if (!response.ok) {
            echo.error("Failed to fetch asset thumbnail");
        }

        return await response.json();
    } catch {
        echo.error("Failed to fetch asset thumbnail");
    }
};
